Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "967e2e4b-233c-4f58-8a3a-3fcc1d9a5d23",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "75e430cb-8a51-4e7d-b3ad-290da9d92b85",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "afde6d22-ddb7-4992-89db-ce1771857358",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "b35866b9-1752-48ed-944d-4569db37a632",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "91feb7f8-f94f-455a-9965-f9cf8e9ac9db",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d9c8bb15-254b-4320-80a2-e304194674f9",
      "db_currency_id": "41765d3a-5bd4-48bf-9607-f5b0eb2735d6",
      "db_language_id": "fb736f6a-2e12-4b26-9266-438fe0ea94bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-05T09:13:28.7228847+00:00"
    },
    "modified_dateutc": "2026-11-05T09:13:28.7228847+00:00"
  },
  "equipment_family_id": "9fda7048-d0f7-498f-800a-04b47a59afa4",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "327d20ec-e336-430a-9d70-eef3abe22a1b",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "c2d13e4b-a8ee-4065-97c3-fa949a888328",
    "_parent_code": "sample string 6",
    "sales_organization_id": "c3ad0c5d-d38d-4f4f-8c44-b8b00a002061",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "91feb7f8-f94f-455a-9965-f9cf8e9ac9db",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d9c8bb15-254b-4320-80a2-e304194674f9",
      "db_currency_id": "41765d3a-5bd4-48bf-9607-f5b0eb2735d6",
      "db_language_id": "fb736f6a-2e12-4b26-9266-438fe0ea94bb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-05T09:13:28.7228847+00:00"
    },
    "modified_dateutc": "2026-11-05T09:13:28.7228847+00:00"
  },
  "date_in_production_since": "2026-11-05T09:13:28.7228847+00:00",
  "date_out_of_production_since": "2026-11-05T09:13:28.7228847+00:00",
  "date_end_support": "2026-11-05T09:13:28.7405586+00:00",
  "sales_organization_id": "5f4a228d-91eb-473f-a7c2-94da23cad3fe",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "91feb7f8-f94f-455a-9965-f9cf8e9ac9db",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "d9c8bb15-254b-4320-80a2-e304194674f9",
    "db_currency_id": "41765d3a-5bd4-48bf-9607-f5b0eb2735d6",
    "db_language_id": "fb736f6a-2e12-4b26-9266-438fe0ea94bb",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-05T09:13:28.7228847+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-05T09:13:28.7405586+00:00"
}